Skip to main content
PATCH
/
v1
/
vaults
/
{vault_id}
Update Vault
curl --request PATCH \
  --url https://api.ontora.com/v1/vaults/{vault_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "is_default": true,
  "is_personal": true,
  "owner_user_id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "collaborator_count": 0,
  "my_role": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

vault_id
string<uuid>
required

Body

application/json
name
string | null
description
string | null

Response

Successful Response

id
string<uuid>
required
workspace_id
string<uuid>
required
name
string
required
description
string | null
required
is_default
boolean
required
is_personal
boolean
required
owner_user_id
string | null
required
created_at
string<date-time>
required
collaborator_count
integer
default:0
my_role
string | null